com.genesyslab.wfm8.API.service.schedule852

## Class SchStateGroupCoverageHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchStateGroupCoverageHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateGroupCoverageHolder
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State Group Coverage Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchStateGroupCoverage>` | `schCoverage` `SchStateGroupCoverage`
    `protected int` | `schCoverageNSizeIs`
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndDate` Period End Date
    `protected int` | `wmGranularity` Granularity in minutes (15, 30, 60, ...)
    `protected double` | `wmStartDate` Period Start Date
    `protected int` | `wmTimezoneId` Time zone ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateGroupCoverageHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchStateGroupCoverage>` | `getSchCoverage()` Gets the value of the schCoverage property.
    `int` | `getSchCoverageNSizeIs()` Gets the value of the schCoverageNSizeIs property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `int` | `getWmGranularity()` Gets the value of the wmGranularity property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `hashCode()`
    `void` | `setSchCoverage(java.util.List<SchStateGroupCoverage> schCoverage)` Sets the value of the schCoverage property.
    `void` | `setSchCoverageNSizeIs(int value)` Sets the value of the schCoverageNSizeIs property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmGranularity(int value)` Sets the value of the wmGranularity property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `java.lang.String` | `toString()`
    `SchStateGroupCoverageHolder` | `withSchCoverage(java.util.Collection<SchStateGroupCoverage> values)`
    `SchStateGroupCoverageHolder` | `withSchCoverage(SchStateGroupCoverage... values)`
    `SchStateGroupCoverageHolder` | `withSchCoverageNSizeIs(int value)`
    `SchStateGroupCoverageHolder` | `withWmEndDate(double value)`
    `SchStateGroupCoverageHolder` | `withWmGranularity(int value)`
    `SchStateGroupCoverageHolder` | `withWmStartDate(double value)`
    `SchStateGroupCoverageHolder` | `withWmTimezoneId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStartDate

          protected double wmStartDate

      Period Start Date

    - #### wmEndDate

          protected double wmEndDate

      Period End Date

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time zone ID

    - #### wmGranularity

          protected int wmGranularity

      Granularity in minutes (15, 30, 60, ...)

    - #### schCoverageNSizeIs

          protected int schCoverageNSizeIs

    - #### schCoverage

          protected java.util.List<SchStateGroupCoverage> schCoverage

      `SchStateGroupCoverage`

  - ### Constructor Detail

    - #### SchStateGroupCoverageHolder

          public SchStateGroupCoverageHolder()

  - ### Method Detail

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmGranularity

          public int getWmGranularity()

      Gets the value of the wmGranularity property.

    - #### setWmGranularity

          public void setWmGranularity(int value)

      Sets the value of the wmGranularity property.

    - #### getSchCoverageNSizeIs

          public int getSchCoverageNSizeIs()

      Gets the value of the schCoverageNSizeIs property.

    - #### setSchCoverageNSizeIs

          public void setSchCoverageNSizeIs(int value)

      Sets the value of the schCoverageNSizeIs property.

    - #### getSchCoverage

          public java.util.List<SchStateGroupCoverage> getSchCoverage()

      Gets the value of the schCoverage property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schCoverage property.

      For example, to add a new item, do as follows:

              getSchCoverage().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateGroupCoverage`

    - #### withWmStartDate

          public SchStateGroupCoverageHolder withWmStartDate(double value)

    - #### withWmEndDate

          public SchStateGroupCoverageHolder withWmEndDate(double value)

    - #### withWmTimezoneId

          public SchStateGroupCoverageHolder withWmTimezoneId(int value)

    - #### withWmGranularity

          public SchStateGroupCoverageHolder withWmGranularity(int value)

    - #### withSchCoverageNSizeIs

          public SchStateGroupCoverageHolder withSchCoverageNSizeIs(int value)

    - #### withSchCoverage

          public SchStateGroupCoverageHolder withSchCoverage(SchStateGroupCoverage... values)

    - #### withSchCoverage

          public SchStateGroupCoverageHolder withSchCoverage(java.util.Collection<SchStateGroupCoverage> values)

    - #### setSchCoverage

          public void setSchCoverage(java.util.List<SchStateGroupCoverage> schCoverage)

      Sets the value of the schCoverage property.
      Parameters:
        `schCoverage` - allowed object is `SchStateGroupCoverage`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.